Bug 459966 - Review Request: libgxim - GObject-based XIM protocol library
Review Request: libgxim - GObject-based XIM protocol library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 08:15 EDT by Akira TAGOH
Modified: 2008-08-29 03:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 03:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-08-25 08:15:02 EDT
Spec URL: http://tagoh.fedorapeople.org/libgxim/libgxim.spec
SRPM URL: http://tagoh.fedorapeople.org/libgxim/libgxim-0.1.0-1.fc9.src.rpm
Description:

libgxim is a X Input Method protocol library that is implemented by GObject.
this library helps you to implement XIM servers or client applications to
communicate through XIM protocol without using Xlib API directly, particularly
if your application uses GObject-based main loop.
Comment 1 Parag AN(पराग) 2008-08-28 01:50:03 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=784476
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e0a74b61f39a5e39d6e7f645e2f67be7  libgxim-0.1.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ libgxim.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libgxim-0.1.0-1.fc10 ->
  Provides: libgxim.so.0
Requires(interp): /sbin/ldconfig /sbin/ldconfig
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcairo.so.2 libdbus-1.so.3 libdbus-glib-1.so.2 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgthread-2.0.so.0 libgxim.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpthread.so.0 librt.so.1 rtld(GNU_HASH)
+ Package libgxim-devel-0.1.0-1.fc10 ->
Provides:
 pkgconfig(libgxim) = 0.1.0
Requires:
 libgxim.so.0

Suggestions:-
 1) make install should be used like
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
 2) drop %doc from -devel as same you included in main package.
 3) group name for main package should be
 Group: System Environment/Libraries
 4) you can also think of adding tests directory to %doc of -devel in future

APPROVED.
Comment 2 Akira TAGOH 2008-08-28 07:23:43 EDT
Thanks for reviewing.

New Package CVS Request
=======================
Package Name: libgxim
Short Description: GObject-based XIM protocol library
Owners: tagoh
Branches: devel
InitialCC:
Comment 3 Kevin Fenzi 2008-08-29 00:45:49 EDT
cvs done.
Comment 4 Akira TAGOH 2008-08-29 03:54:06 EDT
Package has been built in koji.

Note You need to log in before you can comment on or make changes to this bug.